use serde::{Serialize, Deserialize};

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Rent {
    pub id: String,
    pub start_time: chrono::NaiveDateTime,
    pub time_amount: Option<i32>,
    pub client_id: String,
    pub car_id: String
}

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct BindingRent {
    pub time_amount: Option<i32>,
    pub client_id: String,
    pub car_id: String
}